<?php

namespace Drupal\Tests\instana_eum\FunctionalJavascript;

/**
 * Test module settings form.
 *
 * @group instana_eum
 */
class SettingsFormTest extends FunctionalJsBase {

  /**
   * Test configuration form.
   */
  public function testSettingsForm(): void {
    /** @var \Drupal\Tests\WebAssert $assert */
    $assert = $this->assertSession();

    $this->drupalLogin($this->adminUser);

    $this->drupalGet('admin/config/services/instana_eum');
    $edit = [
      'enabled'           => TRUE,
      'api_key'           => '1234567890',
      'reporting_url'     => 'https://example.com',
    ];
    $this->submitForm($edit, t('Save configuration'));
    $assert->pageTextContains('The configuration options have been saved.');

    $api_key = $this->config('instana_eum.settings')->get('api_key');
    $this->assertEquals('1234567890', $api_key);

  }

}
